Bug 122452 - FILESAVE: ODT: Show Track Changes is enabled after RT
Summary: FILESAVE: ODT: Show Track Changes is enabled after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2019-01-03 21:00 UTC by Xisco Faulí
Modified: 2019-01-14 15:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-03 21:00:41 UTC
Steps to reproduce:
1. Open attachment 64742 [details] from bug 52550
2. Save it as .ODT
3. Open the new file

-> Show Track Changes is enabled and the changes are displayed

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-01-03 21:03:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b7e4feb9d985750f04b53e630fa68ab471743a14

or

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4532845e22c10f252840887e55002307227b2390

as it crashes loading the .ODT file

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2019-01-08 14:17:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2dda396f4de051cccf3442f17c84bf2ff5d1db1d%5E%21

tdf#122452 sw_redlinehide: WW8 import/export sets layout show/hide mode

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-01-09 10:30:03 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 54515a6a01a372729bf8a7f9e992c51f214ec9a6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for the quick fix!
Comment 4 Commit Notification 2019-01-09 11:39:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b4d942fce7e6764cd354517140e0249cb7382dd3%5E%21

tdf#122452 sw_redlinehide: WW8 import/export sets layout show/hide mode

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-01-10 15:07:24 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/8db49bbc428e86fa628b7f7a7a91a2a598d7d905%5E%21

tdf#122452 sw_redlinehide: WW8 import/export sets layout show/hide mode

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.